Package org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents

## Class DashHasValueInConstraintComponent

- java.lang.Object
- - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent
  - - org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.DashHasValueInConstraintComponent

- All Implemented Interfaces:
    `ConstraintComponent`, `org.eclipse.rdf4j.sail.shacl.ast.Exportable`, `org.eclipse.rdf4j.sail.shacl.ast.TargetChainInterface`

      public class DashHasValueInConstraintComponent
      extends AbstractConstraintComponent

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.ConstraintComponent

      `ConstraintComponent.Scope`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent

      `VALUES_INJECTION_POINT`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DashHasValueInConstraintComponent​(DashHasValueInConstraintComponent dashHasValueInConstraintComponent)` |
    `DashHasValueInConstraintComponent​(ShapeSource shapeSource, Resource hasValueIn)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.rdf4j.sail.shacl.ast.SparqlFragment` | `buildSparqlValidNodes_rsx_targetShape​(org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable subject, org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable object, RdfsSubClassOfReasoner rdfsSubClassOfReasoner, ConstraintComponent.Scope scope, org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.StableRandomVariableProvider stableRandomVariableProvider)` |
    `ConstraintComponent` | `deepClone()` |
    `PlanNode` | `generateTransactionalValidationPlan​(ConnectionsGroup connectionsGroup, ValidationSettings validationSettings, PlanNodeProvider overrideTargetNode, ConstraintComponent.Scope scope)` |
    `PlanNode` | `getAllTargetsPlan​(ConnectionsGroup connectionsGroup, Resource[] dataGraph, ConstraintComponent.Scope scope, org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.StableRandomVariableProvider stableRandomVariableProvider)` |
    `SourceConstraintComponent` | `getConstraintComponent()` |
    `void` | `toModel​(Resource subject, IRI predicate, Model model, Set<Resource> cycleDetection)` |

    - ### Methods inherited from class org.eclipse.rdf4j.sail.shacl.ast.constraintcomponents.AbstractConstraintComponent

      `generateSparqlValidationQuery, getId, getOptimalBulkValidationApproach, getPreferredValidationApproach, getTargetChain, requiresEvaluation, setTargetChain`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DashHasValueInConstraintComponent

          public DashHasValueInConstraintComponent​(ShapeSource shapeSource,
                                                   Resource hasValueIn)

    - #### DashHasValueInConstraintComponent

          public DashHasValueInConstraintComponent​(DashHasValueInConstraintComponent dashHasValueInConstraintComponent)

  - ### Method Detail

    - #### toModel

          public void toModel​(Resource subject,
                              IRI predicate,
                              Model model,
                              Set<Resource> cycleDetection)

    - #### getConstraintComponent

          public SourceConstraintComponent getConstraintComponent()

    - #### deepClone

          public ConstraintComponent deepClone()

    - #### generateTransactionalValidationPlan

          public PlanNode generateTransactionalValidationPlan​(ConnectionsGroup connectionsGroup,
                                                              ValidationSettings validationSettings,
                                                              PlanNodeProvider overrideTargetNode,
                                                              ConstraintComponent.Scope scope)

      Specified by:
        `generateTransactionalValidationPlan` in interface `ConstraintComponent`
      Overrides:
        `generateTransactionalValidationPlan` in class `AbstractConstraintComponent`

    - #### getAllTargetsPlan

          public PlanNode getAllTargetsPlan​(ConnectionsGroup connectionsGroup,
                                            Resource[] dataGraph,
                                            ConstraintComponent.Scope scope,
                                            org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.StableRandomVariableProvider stableRandomVariableProvider)

      Specified by:
        `getAllTargetsPlan` in interface `ConstraintComponent`
      Overrides:
        `getAllTargetsPlan` in class `AbstractConstraintComponent`

    - #### buildSparqlValidNodes_rsx_targetShape

          public org.eclipse.rdf4j.sail.shacl.ast.SparqlFragment buildSparqlValidNodes_rsx_targetShape​(org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable subject,
                                                                                                       org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.Variable object,
                                                                                                       RdfsSubClassOfReasoner rdfsSubClassOfReasoner,
                                                                                                       ConstraintComponent.Scope scope,
                                                                                                       org.eclipse.rdf4j.sail.shacl.ast.StatementMatcher.StableRandomVariableProvider stableRandomVariableProvider)

      Specified by:
        `buildSparqlValidNodes_rsx_targetShape` in interface `ConstraintComponent`
      Overrides:
        `buildSparqlValidNodes_rsx_targetShape` in class `AbstractConstraintComponent`